# RetryConfig

Allows customizing the default retry configuration. It is only permitted in methods that accept retry policies.

## Fields

| Name                    | Type                                | Description                                                                               | Example                    |
| ----------------------- | ----------------------------------- | ----------------------------------------------------------------------------------------- | -------------------------- |
| `strategy`              | \`"backoff"                         | "none"\`                                                                                  | The retry strategy to use. |
| `backoff`               | [BackoffStrategy](#backoffstrategy) | When strategy is "backoff", this configurates for the backoff parameters.                 |                            |
| `retryConnectionErrors` | `*boolean*`                         | When strategy is "backoff", this determines whether or not to retry on connection errors. | `true`                     |

## BackoffStrategy

The backoff strategy allows retrying a request with an exponential backoff between each retry.

### Fields

| Name              | Type       | Description                               | Example  |
| ----------------- | ---------- | ----------------------------------------- | -------- |
| `initialInterval` | `*number*` | The initial interval in milliseconds.     | `500`    |
| `maxInterval`     | `*number*` | The maximum interval in milliseconds.     | `60000`  |
| `exponent`        | `*number*` | The exponent to use for the backoff.      | `1.5`    |
| `maxElapsedTime`  | `*number*` | The maximum elapsed time in milliseconds. | `300000` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/lib/utils/retryconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
